# Class AnnotationEntry

java.lang.Object
org.apache.tomcat.util.bcel.classfile.AnnotationEntry

public class AnnotationEntry extends Object
Represents one annotation in the annotation table

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnnotationType()`
  `List<ElementValuePair>`
  `getElementValuePairs()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getAnnotationType

    public String getAnnotationType()
    Returns:
      the annotation type name

  - ### getElementValuePairs

    public List<ElementValuePair> getElementValuePairs()
    Returns:
      the element value pairs in this annotation entry